Package org.eclipse.cdt.core.settings.model

## Class CProjectDescriptionEvent

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.CProjectDescriptionEvent

    public final class CProjectDescriptionEvent
    extends Object

Events fired for the project deltas. The ProjectDescription life-cycle looks like:

- `LOADED` - configuration is loaded and read-only.
- `COPY_CREATED` - Indicates new writable description has been created from the read-only description backing store.
- `ABOUT_TO_APPLY` - First event in the setProjectDescription flow. New description writable, old description represents the cache.
- `DATA_APPLIED` - Event indicating that configuration data has been applied by the build system.
- `APPLIED` - setProjectDescription finished, newDescription is read-only.

See Also:
  `ICConfigurationDescription`, `CConfigurationDescription`, `CConfigurationDescriptionCache`

### Field Summary

Fields
`static int` `ABOUT_TO_APPLY` Event kind indicating we're about to set the project description
`static int` `ALL` Event kind encapsulated ALL events
`static int` `APPLIED`
`static int` `COPY_CREATED` Event kind indicating a copy of the description has been created
`static int` `DATA_APPLIED`
`static int` `LOADED` Event kind indicating project description has loaded

### Constructor Summary

Constructors
`CProjectDescriptionEvent​(int type, ICDescriptionDelta delta, ICProjectDescription newDes, ICProjectDescription oldDes, ICProjectDescription appliedDes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICDescriptionDelta` `getActiveCfgDelta()`
`ICProjectDescription` `getAppliedCProjectDescription()`
`ICDescriptionDelta` `getDefaultSettingCfgDelta()`
`int` `getEventType()`
`ICProjectDescription` `getNewCProjectDescription()` Return the new description which may be writeable (depending on the event type)
`ICProjectDescription` `getOldCProjectDescription()`
`org.eclipse.core.resources.IProject` `getProject()`
`ICDescriptionDelta` `getProjectDelta()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOADED

    public static final int LOADED

Event kind indicating project description has loaded

See Also:
  Constant Field Values

#### ABOUT_TO_APPLY

    public static final int ABOUT_TO_APPLY

Event kind indicating we're about to set the project description

See Also:
  Constant Field Values

#### APPLIED

    public static final int APPLIED

See Also:
  Constant Field Values

#### COPY_CREATED

    public static final int COPY_CREATED

Event kind indicating a copy of the description has been created

See Also:
  Constant Field Values

#### DATA_APPLIED

    public static final int DATA_APPLIED

See Also:
  Constant Field Values

#### ALL

    public static final int ALL

Event kind encapsulated ALL events

See Also:
  Constant Field Values

### Constructor Detail

#### CProjectDescriptionEvent

    public CProjectDescriptionEvent​(int type,
                                    ICDescriptionDelta delta,
                                    ICProjectDescription newDes,
                                    ICProjectDescription oldDes,
                                    ICProjectDescription appliedDes)

### Method Detail

#### getProject

    public org.eclipse.core.resources.IProject getProject()

#### getEventType

    public int getEventType()

#### getProjectDelta

    public ICDescriptionDelta getProjectDelta()

#### getActiveCfgDelta

    public ICDescriptionDelta getActiveCfgDelta()

#### getDefaultSettingCfgDelta

    public ICDescriptionDelta getDefaultSettingCfgDelta()

#### getOldCProjectDescription

    public ICProjectDescription getOldCProjectDescription()

Returns:
  return the previous project description, may be null

#### getNewCProjectDescription

    public ICProjectDescription getNewCProjectDescription()

Return the new description which may be writeable (depending on the event type)

Returns:
  new project description

#### getAppliedCProjectDescription

    public ICProjectDescription getAppliedCProjectDescription()

Returns:
  the applied project description, may be null